- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Full name: accounts.containers.versions.publish
Publishes a Container Version.
HTTP request
POST https://tagmanager.googleapis.com/tagmanager/v1/accounts/{accountId}/containers/{containerId}/versions/{containerVersionId}/publish
Path parameters
| Parameters | |
|---|---|
accountId |
The GTM Account ID. |
containerId |
The GTM Container ID. |
containerVersionId |
The GTM Container Version ID. |
Query parameters
| Parameters | |
|---|---|
fingerprint |
When provided, this fingerprint must match the fingerprint of the container version in storage. |
Request body
The request body must be empty.
Response body
Publish container version response.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"containerVersion": {
object ( |
| Fields | |
|---|---|
containerVersion |
The container version created. |
compilerError |
Compiler errors or not. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/tagmanager.publish
For more information, see the OAuth 2.0 Overview.